SDL_EnableKeyRepeat(3)

NAME
SDL_EnableKeyRepeat - Set keyboard repeat rate.

SYNOPSIS

#include "SDL.h"

int SDL_EnableKeyRepeat(int delay, int interval);

DESCRIPTION

Enables or disables the keyboard repeat rate. delay specifies how long the key must be pressed before it begins repeating, it then repeats at the speed specified by interval. Both delay and interval are expressed in milliseconds.

Setting delay to 0 disables key repeating completely. Good default values are SDL_DEFAULT_REPEAT_DELAY and SDL_DEFAULT_REPEAT_INTERVAL.

RETURN VALUE

Returns 0 on success and -1 on failure.